echo off

SET CID_EXE=..\cidgen\CIDGen.exe

if defined ProgramFiles(x86) (
	SET C2PROG_EXE="%ProgramFiles(x86)%\C2Prog\C2ProgShell.exe"
) else (
	SET C2PROG_EXE="%ProgramFiles%\C2Prog\C2ProgShell.exe"
)

SET TARGET="28069,67,66_JTAG"
SET EHX_OPTIONS=

goto step_%1

:step_0
    %CID_EXE% ..\cid.h
    goto end_step

:step_1
	if exist %C2PROG_EXE% (
    	%2/bin/hex2000 -romwidth 16 -memwidth 16 -i -o %3.hex %3.out
		%C2PROG_EXE% -create=%3.ehx -target=%TARGET% %EHX_OPTIONS% -hex=%3.hex
    	goto end_step
    )

:end_step

if  errorlevel  1  goto  error
exit 0

:error
exit 1